--- old/usr/src/Makefile.master	Thu Aug  8 11:06:24 2019
+++ new/usr/src/Makefile.master	Thu Aug  8 11:06:24 2019
@@ -460,6 +460,10 @@
 # Unfortunately, this option can misfire very easily and unfixably.
 CERRWARN +=	-_gcc=-Wno-array-bounds
 
+# gcc4 lacks -Wno-maybe-uninitialized
+CNOWARN_UNINIT = -_gcc4=-Wno-uninitialized \
+    -_gcc7=-Wno-maybe-uninitialized \
+    -_gcc8=-Wno-maybe-uninitialized
 
 CERRWARN += -_smatch=-p=illumos_user
 include $(SRC)/Makefile.smatch
@@ -1248,8 +1252,3 @@
 
 .xml.xmlchk:
 	$(MANIFEST_CHECK)
-
-#
-# Include rules to render automated sccs get rules "safe".
-#
-include $(SRC)/Makefile.noget
--- old/usr/src/cmd/abi/spectrans/parser/Makefile.targ	Thu Aug  8 11:06:24 2019
+++ new/usr/src/cmd/abi/spectrans/parser/Makefile.targ	Thu Aug  8 11:06:24 2019
@@ -44,7 +44,7 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-label
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/acctadm/Makefile	Thu Aug  8 11:06:25 2019
+++ new/usr/src/cmd/acctadm/Makefile	Thu Aug  8 11:06:25 2019
@@ -35,7 +35,7 @@
 ROOTMANIFESTDIR = $(ROOTSVCSYSTEM)
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -lexacct -lscf -lsecdb -ldladm
 POFILE = acctadm.po
--- old/usr/src/cmd/addbadsec/Makefile	Thu Aug  8 11:06:27 2019
+++ new/usr/src/cmd/addbadsec/Makefile	Thu Aug  8 11:06:27 2019
@@ -33,7 +33,7 @@
 
 CPPFLAGS += -D_EXTVTOC
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/allocate/Makefile	Thu Aug  8 11:06:29 2019
+++ new/usr/src/cmd/allocate/Makefile	Thu Aug  8 11:06:29 2019
@@ -29,7 +29,7 @@
 include		../Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-unused-value
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
 
--- old/usr/src/cmd/amt/Makefile.com	Thu Aug  8 11:06:29 2019
+++ new/usr/src/cmd/amt/Makefile.com	Thu Aug  8 11:06:29 2019
@@ -35,7 +35,7 @@
 LINTFLAGS +=	-erroff=E_NAME_USED_NOT_DEF2
 LINTFLAGS64 +=	-erroff=E_NAME_USED_NOT_DEF2
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 CLEANFILES	+= $(PROG) $(OBJS)
 
--- old/usr/src/cmd/ast/msgcc/Makefile	Thu Aug  8 11:06:31 2019
+++ new/usr/src/cmd/ast/msgcc/Makefile	Thu Aug  8 11:06:31 2019
@@ -50,7 +50,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-empty-body
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/audio/audioctl/Makefile	Thu Aug  8 11:06:33 2019
+++ new/usr/src/cmd/audio/audioctl/Makefile	Thu Aug  8 11:06:34 2019
@@ -30,7 +30,7 @@
 
 LDLIBS += -ldevinfo
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/audio/audioplay/Makefile	Thu Aug  8 11:06:37 2019
+++ new/usr/src/cmd/audio/audioplay/Makefile	Thu Aug  8 11:06:37 2019
@@ -39,7 +39,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += indenting
 
--- old/usr/src/cmd/audio/utilities/Makefile	Thu Aug  8 11:06:40 2019
+++ new/usr/src/cmd/audio/utilities/Makefile	Thu Aug  8 11:06:40 2019
@@ -33,7 +33,7 @@
 CPPFLAGS += $(INCLUDES)
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/auditconfig/Makefile	Thu Aug  8 11:06:42 2019
+++ new/usr/src/cmd/auditconfig/Makefile	Thu Aug  8 11:06:43 2019
@@ -38,7 +38,7 @@
 MSGFILES = $(SRCS)
 
 CPPFLAGS += -I$(LIBBSM)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 .KEEP_STATE:
--- old/usr/src/cmd/auditreduce/Makefile	Thu Aug  8 11:06:45 2019
+++ new/usr/src/cmd/auditreduce/Makefile	Thu Aug  8 11:06:45 2019
@@ -41,7 +41,7 @@
 CPPFLAGS += -I$(TABLEDIR) -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 LDLIBS += -lnsl -lbsm -lscf -ltsol
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 # false positives / need cleanup
--- old/usr/src/cmd/autopush/Makefile	Thu Aug  8 11:06:47 2019
+++ new/usr/src/cmd/autopush/Makefile	Thu Aug  8 11:06:47 2019
@@ -29,7 +29,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/awk/Makefile	Thu Aug  8 11:06:48 2019
+++ new/usr/src/cmd/awk/Makefile	Thu Aug  8 11:06:48 2019
@@ -41,7 +41,7 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/awk_xpg4/Makefile	Thu Aug  8 11:06:49 2019
+++ new/usr/src/cmd/awk_xpg4/Makefile	Thu Aug  8 11:06:49 2019
@@ -44,7 +44,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 YFLAGS += -d
 LDLIBS += -lm
 CLEANFILES= awk.c y.tab.h
--- old/usr/src/cmd/backup/Makefile.backup	Thu Aug  8 11:06:49 2019
+++ new/usr/src/cmd/backup/Makefile.backup	Thu Aug  8 11:06:49 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 
 # not linted
--- old/usr/src/cmd/backup/dump/Makefile	Thu Aug  8 11:06:51 2019
+++ new/usr/src/cmd/backup/dump/Makefile	Thu Aug  8 11:06:51 2019
@@ -69,7 +69,7 @@
 		-D_LARGEFILE64_SOURCE=1
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-extra
 LIBDUMP=	../lib/libdump.a
--- old/usr/src/cmd/bart/Makefile	Thu Aug  8 11:06:52 2019
+++ new/usr/src/cmd/bart/Makefile	Thu Aug  8 11:06:52 2019
@@ -33,7 +33,7 @@
 
 LDLIBS +=	-lsec -lmd
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF +=	indenting
 
--- old/usr/src/cmd/bdiff/Makefile	Thu Aug  8 11:06:54 2019
+++ new/usr/src/cmd/bdiff/Makefile	Thu Aug  8 11:06:54 2019
@@ -32,7 +32,7 @@
 FILEMODE=	755
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/bnu/Makefile.inc	Thu Aug  8 11:06:55 2019
+++ new/usr/src/cmd/bnu/Makefile.inc	Thu Aug  8 11:06:55 2019
@@ -44,7 +44,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-unused-variable
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-extra
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 
--- old/usr/src/cmd/cal/Makefile	Thu Aug  8 11:06:57 2019
+++ new/usr/src/cmd/cal/Makefile	Thu Aug  8 11:06:57 2019
@@ -33,7 +33,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/cdrw/Makefile	Thu Aug  8 11:06:59 2019
+++ new/usr/src/cmd/cdrw/Makefile	Thu Aug  8 11:06:59 2019
@@ -38,7 +38,7 @@
 LDLIBS +=	-lhal -lsecdb
 NONLINTLDLIBS =	-ldbus-1
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CPPFLAGS +=	-D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(HAL_DBUS_CPPFLAGS)
 LINTFLAGS += 	-um
--- old/usr/src/cmd/chmod/Makefile	Thu Aug  8 11:07:02 2019
+++ new/usr/src/cmd/chmod/Makefile	Thu Aug  8 11:07:02 2019
@@ -33,7 +33,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
--- old/usr/src/cmd/cmd-crypto/cryptoadm/Makefile	Thu Aug  8 11:07:03 2019
+++ new/usr/src/cmd/cmd-crypto/cryptoadm/Makefile	Thu Aug  8 11:07:03 2019
@@ -40,7 +40,7 @@
 POFILE = $(PROG)_all.po
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 LDLIBS += -lcryptoutil
--- old/usr/src/cmd/cmd-crypto/decrypt/Makefile.com	Thu Aug  8 11:07:04 2019
+++ new/usr/src/cmd/cmd-crypto/decrypt/Makefile.com	Thu Aug  8 11:07:04 2019
@@ -39,7 +39,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lkmf -lpkcs11 -lcryptoutil
 
--- old/usr/src/cmd/cmd-crypto/digest/Makefile.com	Thu Aug  8 11:07:05 2019
+++ new/usr/src/cmd/cmd-crypto/digest/Makefile.com	Thu Aug  8 11:07:05 2019
@@ -38,7 +38,7 @@
 CFLAGS64 += $(CCVERBOSE)
 CPPFLAGS +=-D_FILE_OFFSET_BITS=64
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lkmf -lpkcs11 -lcryptoutil
 
--- old/usr/src/cmd/cmd-crypto/pktool/Makefile	Thu Aug  8 11:07:06 2019
+++ new/usr/src/cmd/cmd-crypto/pktool/Makefile	Thu Aug  8 11:07:06 2019
@@ -53,7 +53,7 @@
 	-I$(KMFDIR)/ber_der/inc
 
 CFLAGS += $(CCVERBOSE) -DDEBUG
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 
 # not linted, too much mess, but it should be
--- old/usr/src/cmd/cmd-inet/lib/ipmgmtd/Makefile	Thu Aug  8 11:07:06 2019
+++ new/usr/src/cmd/cmd-inet/lib/ipmgmtd/Makefile	Thu Aug  8 11:07:06 2019
@@ -39,7 +39,7 @@
 ROOTMANIFESTDIR=	$(ROOTSVCNETWORK)
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 $(ROOTCFGFILES)	:= OWNER= ipadm
 $(ROOTCFGFILES)	:= GROUP= sys
--- old/usr/src/cmd/cmd-inet/lib/nwamd/Makefile	Thu Aug  8 11:07:08 2019
+++ new/usr/src/cmd/cmd-inet/lib/nwamd/Makefile	Thu Aug  8 11:07:08 2019
@@ -54,7 +54,7 @@
 		-linetutil -lipadm -lkstat -lnsl -lnvpair -lnwam \
 		-lsecdb -lscf -lsocket -lsysevent -lumem -luutil
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/cmd/cmd-inet/usr.bin/Makefile	Thu Aug  8 11:07:09 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/Makefile	Thu Aug  8 11:07:09 2019
@@ -73,7 +73,7 @@
 
 CPPFLAGS +=	-DSYSV -DSTRNET -DBSD_COMP -I$(CMDINETCOMMONDIR)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 ruptime :=     SMOFF += leaks
--- old/usr/src/cmd/cmd-inet/usr.bin/ftp/Makefile	Thu Aug  8 11:07:10 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/ftp/Makefile	Thu Aug  8 11:07:10 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/cmd/cmd-inet/usr.bin/nc/Makefile	Thu Aug  8 11:07:11 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/nc/Makefile	Thu Aug  8 11:07:11 2019
@@ -31,7 +31,7 @@
 include		../../../Makefile.cmd
 
 LDLIBS +=	-lresolv -lsocket
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/cmd-inet/usr.bin/netstat/Makefile	Thu Aug  8 11:07:13 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/netstat/Makefile	Thu Aug  8 11:07:13 2019
@@ -46,7 +46,7 @@
 SRCS=		$(LOCALSRCS) $(COMMONSRCS) $(STAT_COMMON_SRCS)
 
 CPPFLAGS += -DNDEBUG -I$(CMDINETCOMMONDIR) -I$(STATCOMMONDIR)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 LDLIBS += -ldhcpagent -lsocket -lnsl -lkstat -ltsnet -ltsol
 
--- old/usr/src/cmd/cmd-inet/usr.bin/pppd/Makefile	Thu Aug  8 11:07:16 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/pppd/Makefile	Thu Aug  8 11:07:16 2019
@@ -51,7 +51,7 @@
 EXOBJS +=	mschap_test.o
 CLOBBERFILES +=	mschap_test
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # main() is too hairy for smatch
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.bin/pppdump/Makefile	Thu Aug  8 11:07:17 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/pppdump/Makefile	Thu Aug  8 11:07:17 2019
@@ -15,7 +15,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.bin/rdist/Makefile	Thu Aug  8 11:07:20 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/rdist/Makefile	Thu Aug  8 11:07:20 2019
@@ -53,7 +53,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.bin/talk/Makefile	Thu Aug  8 11:07:23 2019
+++ new/usr/src/cmd/cmd-inet/usr.bin/talk/Makefile	Thu Aug  8 11:07:23 2019
@@ -39,7 +39,7 @@
 #
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=	-DSYSV -DSTRNET -DBSD_COMP
 LDLIBS +=	-lcurses -lsocket -lnsl
 
--- old/usr/src/cmd/cmd-inet/usr.lib/ilbd/Makefile	Thu Aug  8 11:07:23 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ilbd/Makefile	Thu Aug  8 11:07:23 2019
@@ -51,7 +51,7 @@
 CPPFLAGS +=	-I$(SRC)/uts/common
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 # not linted
--- old/usr/src/cmd/cmd-inet/usr.lib/ilbd/ilb/Makefile	Thu Aug  8 11:07:25 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ilbd/ilb/Makefile	Thu Aug  8 11:07:25 2019
@@ -36,7 +36,7 @@
 
 include	../../Makefile.lib
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 ROOTLIBINETILB =	$(ROOTLIBINET)/ilb
 ROOTLIBINETILBPROG =	$(PROG:%=$(ROOTLIBINETILB)/%)
--- old/usr/src/cmd/cmd-inet/usr.lib/in.mpathd/Makefile	Thu Aug  8 11:07:27 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.mpathd/Makefile	Thu Aug  8 11:07:27 2019
@@ -46,7 +46,7 @@
 LDLIBS	+= -lsocket -lnsl -lsysevent -lnvpair -lipmp -linetutil -ldlpi
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2 -erroff=E_INCONS_ARG_USED2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Instrument in.mpathd with CTF data to ease debugging.
--- old/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/Makefile	Thu Aug  8 11:07:29 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/Makefile	Thu Aug  8 11:07:29 2019
@@ -58,7 +58,7 @@
 LINTFLAGS +=	-erroff=E_BAD_PTR_CAST_ALIGN
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.lib/mdnsd/Makefile	Thu Aug  8 11:07:30 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/mdnsd/Makefile	Thu Aug  8 11:07:30 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.lib/ncaconfd/Makefile	Thu Aug  8 11:07:31 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/ncaconfd/Makefile	Thu Aug  8 11:07:31 2019
@@ -36,7 +36,7 @@
 LDLIBS += -lsocket -lnsl
 CPPFLAGS += -I$(SRC)/uts/common/inet/nca
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 POFILE = ${PROG}.po
 
--- old/usr/src/cmd/cmd-inet/usr.lib/vrrpd/Makefile	Thu Aug  8 11:07:34 2019
+++ new/usr/src/cmd/cmd-inet/usr.lib/vrrpd/Makefile	Thu Aug  8 11:07:34 2019
@@ -47,7 +47,7 @@
 LDLIBS += -lvrrpadm -lsocket -lnsl -ldladm -linetutil -lipadm -lsysevent -lnvpair -lsecdb
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2  -erroff=E_INCONS_ARG_USED2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Instrument vrrpd with CTF data to ease debugging.
--- old/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Thu Aug  8 11:07:35 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/Makefile	Thu Aug  8 11:07:35 2019
@@ -102,7 +102,7 @@
 SRCS+=		$(COMMONSRCS)
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-parentheses
--- old/usr/src/cmd/cmd-inet/usr.sbin/ifconfig/Makefile	Thu Aug  8 11:07:36 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ifconfig/Makefile	Thu Aug  8 11:07:36 2019
@@ -37,7 +37,7 @@
 SRCS=		$(LOCALSRCS) $(COMMONSRCS)
 
 CPPFLAGS +=	-I$(CMDINETCOMMONDIR) -I$(SRC)/common/net/dhcp
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 LDLIBS +=       -ldhcpagent -ldlpi -linetutil -lipmp -ldladm -lipadm
 LINTFLAGS +=	-m
--- old/usr/src/cmd/cmd-inet/usr.sbin/ilbadm/Makefile	Thu Aug  8 11:07:39 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ilbadm/Makefile	Thu Aug  8 11:07:39 2019
@@ -38,7 +38,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.sbin/in.routed/Makefile	Thu Aug  8 11:07:41 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/in.routed/Makefile	Thu Aug  8 11:07:41 2019
@@ -39,7 +39,7 @@
 CPPFLAGS +=	$(_D_XOPEN_EXTN)
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 # not linted
 SMATCH=off
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/in.talkd/Makefile	Thu Aug  8 11:07:44 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/in.talkd/Makefile	Thu Aug  8 11:07:44 2019
@@ -35,7 +35,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 LDLIBS +=	-lsocket -lnsl
 
 .KEEP_STATE:
--- old/usr/src/cmd/cmd-inet/usr.sbin/inetadm/Makefile	Thu Aug  8 11:07:47 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/inetadm/Makefile	Thu Aug  8 11:07:47 2019
@@ -33,7 +33,7 @@
 
 LDLIBS +=	-lscf -luutil -linetsvc
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 lint := LINTFLAGS = -ux
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/inetconv/Makefile	Thu Aug  8 11:07:49 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/inetconv/Makefile	Thu Aug  8 11:07:49 2019
@@ -29,7 +29,7 @@
 include ../../../Makefile.cmd
 
 LDLIBS += -lscf -linetsvc
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipmpstat/Makefile	Thu Aug  8 11:07:50 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipmpstat/Makefile	Thu Aug  8 11:07:50 2019
@@ -29,7 +29,7 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CSTD = $(CSTD_GNU99)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lipmp -lsocket -lsysevent -lnvpair -lofmt
 XGETFLAGS += -a -x $(PROG).xcl
 
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/Makefile	Thu Aug  8 11:07:51 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipqosconf/Makefile	Thu Aug  8 11:07:51 2019
@@ -51,7 +51,7 @@
 CPPFLAGS +=	-D__EXTENSIONS__
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipsecutils/Makefile	Thu Aug  8 11:07:51 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipsecutils/Makefile	Thu Aug  8 11:07:51 2019
@@ -57,7 +57,7 @@
 
 CPPFLAGS +=     -DSYSV -DBSD_COMP -I$(CMDINETCOMMONDIR) -I.
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/cmd/cmd-inet/usr.sbin/kssl/kssladm/Makefile	Thu Aug  8 11:07:52 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/kssl/kssladm/Makefile	Thu Aug  8 11:07:52 2019
@@ -42,7 +42,7 @@
 .KEEP_STATE:
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 LDLIBS += -lkmf -lpkcs11 -lcryptoutil -lnsl -lsocket
--- old/usr/src/cmd/cmd-inet/usr.sbin/nwamadm/Makefile	Thu Aug  8 11:07:53 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/nwamadm/Makefile	Thu Aug  8 11:07:53 2019
@@ -33,7 +33,7 @@
 LDLIBS +=	-lofmt -linetutil -lnsl -lnwam -lumem -lscf
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cmd-inet/usr.sbin/nwamcfg/Makefile	Thu Aug  8 11:07:53 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/nwamcfg/Makefile	Thu Aug  8 11:07:53 2019
@@ -39,7 +39,7 @@
 CLEANFILES +=	$(PROG).ln
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/cmd-inet/usr.sbin/routeadm/Makefile	Thu Aug  8 11:07:54 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/routeadm/Makefile	Thu Aug  8 11:07:54 2019
@@ -50,7 +50,7 @@
 
 CPPFLAGS +=	-I../../../../common/svc -I$(CMDINETCOMMONDIR)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 $(NOT_RELEASE_BUILD)CPPFLAGS +=	-DDEBUG
 
 LDLIBS +=		-lscf -luutil -lsocket
--- old/usr/src/cmd/cmd-inet/usr.sbin/snoop/Makefile	Thu Aug  8 11:07:55 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/snoop/Makefile	Thu Aug  8 11:07:55 2019
@@ -53,7 +53,7 @@
 LDFLAGS += $(MAPFILE.NGB:%=-M%)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
--- old/usr/src/cmd/cmd-inet/usr.sbin/traceroute/Makefile	Thu Aug  8 11:07:56 2019
+++ new/usr/src/cmd/cmd-inet/usr.sbin/traceroute/Makefile	Thu Aug  8 11:07:56 2019
@@ -51,7 +51,7 @@
 LINTFLAGS +=	-erroff=E_FUNC_DECL_VAR_ARG2 -erroff=E_INCONS_ARG_DECL2 \
 		-erroff=E_INCONS_ARG_USED2 -erroff=E_INCONS_VAL_TYPE_DECL2
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 
 .KEEP_STATE:
--- old/usr/src/cmd/consadm/Makefile.com	Thu Aug  8 11:07:56 2019
+++ new/usr/src/cmd/consadm/Makefile.com	Thu Aug  8 11:07:56 2019
@@ -33,7 +33,7 @@
 include ../../Makefile.cmd
 
 CFLAGS	+=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CPPFLAGS +=
 
 FILEMODE = 0555
--- old/usr/src/cmd/cpc/cpustat/Makefile	Thu Aug  8 11:07:57 2019
+++ new/usr/src/cmd/cpc/cpustat/Makefile	Thu Aug  8 11:07:57 2019
@@ -37,7 +37,7 @@
 SRCS += $(STAT_COMMON_SRCS)
 
 CFLAGS		+= $(CCVERBOSE) $(CTF_FLAGS)
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CPPFLAGS	+= -D_REENTRANT -I$(SRC)/lib/libcpc/common -I$(STATCOMMONDIR)
 LDLIBS +=	-lcpc -lkstat
 
--- old/usr/src/cmd/cpio/Makefile	Thu Aug  8 11:07:59 2019
+++ new/usr/src/cmd/cpio/Makefile	Thu Aug  8 11:07:59 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -DSOLARIS_PRIVS
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/cron/Makefile	Thu Aug  8 11:08:01 2019
+++ new/usr/src/cmd/cron/Makefile	Thu Aug  8 11:08:02 2019
@@ -36,7 +36,7 @@
 CPPFLAGS +=	-D_FILE_OFFSET_BITS=64 -I $(SRC)/common/util
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-value
 
--- old/usr/src/cmd/csh/i386/Makefile	Thu Aug  8 11:08:04 2019
+++ new/usr/src/cmd/csh/i386/Makefile	Thu Aug  8 11:08:04 2019
@@ -26,7 +26,7 @@
 LDLIBS += -lcurses
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-int
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/csh/sparc/Makefile	Thu Aug  8 11:08:06 2019
+++ new/usr/src/cmd/csh/sparc/Makefile	Thu Aug  8 11:08:06 2019
@@ -23,7 +23,7 @@
 CPPFLAGS +=	-I../../sh
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-int
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/csplit/Makefile	Thu Aug  8 11:08:09 2019
+++ new/usr/src/cmd/csplit/Makefile	Thu Aug  8 11:08:09 2019
@@ -33,7 +33,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/ctrun/Makefile	Thu Aug  8 11:08:10 2019
+++ new/usr/src/cmd/ctrun/Makefile	Thu Aug  8 11:08:10 2019
@@ -30,7 +30,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lcontract -luutil
 
 .KEEP_STATE:
--- old/usr/src/cmd/dc/Makefile	Thu Aug  8 11:08:10 2019
+++ new/usr/src/cmd/dc/Makefile	Thu Aug  8 11:08:10 2019
@@ -36,7 +36,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/dcs/sparc/sun4u/Makefile	Thu Aug  8 11:08:11 2019
+++ new/usr/src/cmd/dcs/sparc/sun4u/Makefile	Thu Aug  8 11:08:11 2019
@@ -90,7 +90,7 @@
 XGETFLAGS +=	-a -s -x $(PROG).xcl
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 #
 # LIBRARIES:
--- old/usr/src/cmd/dd/Makefile	Thu Aug  8 11:08:11 2019
+++ new/usr/src/cmd/dd/Makefile	Thu Aug  8 11:08:11 2019
@@ -29,7 +29,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 LDLIBS += -lcmdutils
 
--- old/usr/src/cmd/devfsadm/Makefile.com	Thu Aug  8 11:08:12 2019
+++ new/usr/src/cmd/devfsadm/Makefile.com	Thu Aug  8 11:08:12 2019
@@ -97,7 +97,7 @@
 LINTFLAGS += -erroff=E_NAME_DEF_NOT_USED2
 LINTFLAGS += -erroff=E_NAME_MULTIPLY_DEF2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/devinfo/Makefile	Thu Aug  8 11:08:13 2019
+++ new/usr/src/cmd/devinfo/Makefile	Thu Aug  8 11:08:13 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -ladm -lefi
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/devmgmt/cmds/Makefile	Thu Aug  8 11:08:13 2019
+++ new/usr/src/cmd/devmgmt/cmds/Makefile	Thu Aug  8 11:08:13 2019
@@ -37,7 +37,7 @@
 LDLIBS += -ladm
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += signed
 
--- old/usr/src/cmd/dfs.cmds/dfshares/Makefile	Thu Aug  8 11:08:14 2019
+++ new/usr/src/cmd/dfs.cmds/dfshares/Makefile	Thu Aug  8 11:08:14 2019
@@ -34,7 +34,7 @@
 include ../../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/dfs.cmds/sharectl/Makefile.com	Thu Aug  8 11:08:14 2019
+++ new/usr/src/cmd/dfs.cmds/sharectl/Makefile.com	Thu Aug  8 11:08:14 2019
@@ -40,7 +40,7 @@
 CPPFLAGS += $(MYCPPFLAGS)
 LDLIBS += -lshare -lumem
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SRCS = $(SHARECTL_SRC)
 OBJS = $(SHARECTL_OBJ)
--- old/usr/src/cmd/dfs.cmds/sharemgr/Makefile.com	Thu Aug  8 11:08:15 2019
+++ new/usr/src/cmd/dfs.cmds/sharemgr/Makefile.com	Thu Aug  8 11:08:15 2019
@@ -43,7 +43,7 @@
 all install := LDLIBS += -lxml2
 LINTFLAGS	+= -u
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 POFILES = $(SRCS:.c=.po)
 POFILE  = sharemgr.po
--- old/usr/src/cmd/diff/Makefile	Thu Aug  8 11:08:16 2019
+++ new/usr/src/cmd/diff/Makefile	Thu Aug  8 11:08:16 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 
 #
--- old/usr/src/cmd/dis/Makefile	Thu Aug  8 11:08:17 2019
+++ new/usr/src/cmd/dis/Makefile	Thu Aug  8 11:08:17 2019
@@ -32,7 +32,7 @@
 include	../Makefile.cmd
 
 LDLIBS += -ldisasm -luutil -lelf -ldemangle-sys
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/dispadmin/Makefile	Thu Aug  8 11:08:17 2019
+++ new/usr/src/cmd/dispadmin/Makefile	Thu Aug  8 11:08:17 2019
@@ -39,7 +39,7 @@
 include ../Makefile.cmd
 
 CFLAGS +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 ROOTDIR=	$(ROOT)/usr/lib/class
 ROOTDIRS=	$(ROOTDIR)	\
--- old/usr/src/cmd/dladm/Makefile	Thu Aug  8 11:08:18 2019
+++ new/usr/src/cmd/dladm/Makefile	Thu Aug  8 11:08:18 2019
@@ -42,7 +42,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF += snprintf_overflow
 
--- old/usr/src/cmd/dlmgmtd/Makefile	Thu Aug  8 11:08:20 2019
+++ new/usr/src/cmd/dlmgmtd/Makefile	Thu Aug  8 11:08:20 2019
@@ -41,7 +41,7 @@
 LDLIBS += -ldladm -ldlpi -lavl -lnvpair -lsysevent -lcontract
 
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 #
 # Instrument dlmgmtd with CTF data to ease debugging.
--- old/usr/src/cmd/dlstat/Makefile	Thu Aug  8 11:08:22 2019
+++ new/usr/src/cmd/dlstat/Makefile	Thu Aug  8 11:08:22 2019
@@ -33,7 +33,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/du/Makefile	Thu Aug  8 11:08:23 2019
+++ new/usr/src/cmd/du/Makefile	Thu Aug  8 11:08:23 2019
@@ -31,7 +31,7 @@
 
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 $(XPG4) := CFLAGS += -DXPG4
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 POFILE = du_cmd.po
--- old/usr/src/cmd/ed/Makefile	Thu Aug  8 11:08:24 2019
+++ new/usr/src/cmd/ed/Makefile	Thu Aug  8 11:08:24 2019
@@ -42,7 +42,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/eeprom/Makefile.com	Thu Aug  8 11:08:24 2019
+++ new/usr/src/cmd/eeprom/Makefile.com	Thu Aug  8 11:08:25 2019
@@ -39,7 +39,7 @@
 OBJS		= error.o
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
 # not linted
--- old/usr/src/cmd/eqn/eqn.d/Makefile	Thu Aug  8 11:08:26 2019
+++ new/usr/src/cmd/eqn/eqn.d/Makefile	Thu Aug  8 11:08:26 2019
@@ -35,7 +35,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-label
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/eqn/neqn.d/Makefile	Thu Aug  8 11:08:28 2019
+++ new/usr/src/cmd/eqn/neqn.d/Makefile	Thu Aug  8 11:08:28 2019
@@ -28,7 +28,7 @@
 LDFLAGS +=	$(MAPFILE.NGB:%=-M%)
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 # not linted
